# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:site_name, :parent => Puppet::Parameter::WlsProperty) do
  data_type('Optional[String]')

  desc <<-DESC
  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         site_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:site_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('SiteName')
end
