# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:federation_remote_cluster_listen_port, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer
  data_type('Optional[Variant[Enum["absent"],Integer]]')

  desc <<-DESC
  An example on how to use this:

      wls_coherence_cluster {a_wls_coherence_cluster :
         ...
         federation_remote_cluster_listen_port => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_coherence_cluster:federation_remote_cluster_listen_port']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('FederationRemoteClusterListenPort')
end
