# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:nm_socket_create_timeout_in_millis, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer
  data_type('Optional[Variant[Enum["absent"],Integer]]')

  desc <<-DESC
  An example on how to use this:

      wls_machine {a_wls_machine :
         ...
         nm_socket_create_timeout_in_millis => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_machine:nm_socket_create_timeout_in_millis']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('NodeManager/%<machine_name>s/NMSocketCreateTimeoutInMillis')
end
