# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:exactly_once_load_balancing_policy, :parent => Puppet::Parameter::WlsProperty) do
  data_type('Optional[String]')

  desc <<-DESC
  An example on how to use this:

      wls_saf_imported_destination {a_wls_saf_imported_destination :
         ...
         exactly_once_load_balancing_policy => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_saf_imported_destination:exactly_once_load_balancing_policy']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('ExactlyOnceLoadBalancingPolicy')
end
