# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:isolate_partition_thread_locals, :parent => Puppet::Parameter::WlsProperty) do
  data_type('Optional[Integer[0,1]]')

  desc <<-DESC
  An example on how to use this:

      wls_server {a_wls_server :
         ...
         isolate_partition_thread_locals => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:isolate_partition_thread_locals']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('IsolatePartitionThreadLocals')
end
