# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jta_migratable_target, :parent => Puppet::Parameter::WlsProperty) do
  data_type('Optional[String]')

  desc <<-DESC
  An example on how to use this:

      wls_server {a_wls_server :
         ...
         jta_migratable_target => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:jta_migratable_target']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('JTAMigratableTarget')
end
