# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_monitoring_max_throttle_message_signature_count, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer
  data_type('Optional[Variant[Enum["absent"],Integer]]')

  desc <<-DESC
  An example on how to use this:

      wls_server {a_wls_server :
         ...
         log_monitoring_max_throttle_message_signature_count => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:log_monitoring_max_throttle_message_signature_count']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('Log/%<server_name>s/LogMonitoringMaxThrottleMessageSignatureCount')
end
