# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:sit_config_polling_interval, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Integer
  data_type('Optional[Variant[Enum["absent"],Integer]]')

  desc <<-DESC
  An example on how to use this:

      wls_server {a_wls_server :
         ...
         sit_config_polling_interval => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:sit_config_polling_interval']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('SitConfigPollingInterval')
end
