# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssl_client_init_secure_renegotiation_accepted, :parent => Puppet::Parameter::WlsProperty) do
  data_type('Optional[Integer[0,1]]')

  desc <<-DESC
  An example on how to use this:

      wls_server {a_wls_server :
         ...
         ssl_client_init_secure_renegotiation_accepted => '1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:ssl_client_init_secure_renegotiation_accepted']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('SSL/%<server_name>s/ClientInitSecureRenegotiationAccepted')
end
