# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:connection_caching_policy, :parent => Puppet::Parameter::WlsProperty) do
  data_type('Optional[String]')

  desc <<-DESC
  An example on how to use this:

      wls_server_tlog {a_wls_server_tlog :
         ...
         connection_caching_policy => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_tlog:connection_caching_policy']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('ConnectionCachingPolicy')
end
